> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Portfolio Users

> List all users associated with a given portfolio.



## OpenAPI

````yaml GET /v1/portfolios/{portfolio_id}/users
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/portfolios/{portfolio_id}/users:
    get:
      tags:
        - Users
      summary: List Portfolio Users
      description: List all users associated with a given portfolio.
      operationId: PrimeRESTAPI_GetPortfolioUsers
      parameters:
        - name: portfolio_id
          in: path
          description: The portfolio ID.
          required: true
          schema:
            type: string
        - name: cursor
          in: query
          description: Cursor used for pagination (last consumed record)
          schema:
            type: string
        - name: limit
          in: query
          description: Number of items to retrieve
          schema:
            type: integer
            format: int32
        - name: sort_direction
          in: query
          description: Sorting order
          schema:
            type: string
            default: DESC
            enum:
              - DESC
              - ASC
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.GetPortfolioUsersResponse
components:
  schemas:
    coinbase.public_rest_api.GetPortfolioUsersResponse:
      type: object
      properties:
        users:
          type: array
          description: The portfolio users.
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.PortfolioUser'
        pagination:
          $ref: '#/components/schemas/coinbase.public_rest_api.PaginatedResponse'
    coinbase.public_rest_api.PortfolioUser:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the user.
        name:
          type: string
          description: The name of the user.
        email:
          type: string
          description: The email of the user.
        portfolio_id:
          type: string
          description: >-
            The portfolio to which this user and associated permissions are
            identified.
        entity_id:
          type: string
          description: >-
            The entity to which this user and associated permissions are
            identified.
        role:
          $ref: '#/components/schemas/coinbase.public_rest_api.UserRole'
        roles:
          type: array
          description: All primary roles assigned to the user.
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.UserRole'
        secondary_permissions:
          type: array
          description: All secondary permissions assigned to the user.
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.SecondaryPermission'
    coinbase.public_rest_api.PaginatedResponse:
      required:
        - has_next
        - next_cursor
        - sort_direction
      type: object
      properties:
        next_cursor:
          type: string
          description: Cursor to navigate to next page
        sort_direction:
          $ref: '#/components/schemas/coinbase.public_rest_api.SortDirection'
        has_next:
          type: boolean
          description: >-
            A boolean value indicating whether there are more items to paginate
            through
    coinbase.public_rest_api.UserRole:
      title: Indicates the user's role
      type: string
      description: |-
        - USER_ROLE_UNKNOWN: nil value
         - AUDITOR: An auditor
         - SIGNATORY: A signatory
         - ADMIN: An admin
         - INITIATOR: An initiator
         - REVIEWER: A reviewer
         - TRADER: A trader
         - FULL_TRADER: A trader with full permissions
         - TEAM_MANAGER: A team manager
         - APPROVER: An approver
         - TAX_MANAGER: A tax manager
         - BUSINESS_MANAGER: A business manager
      enum:
        - AUDITOR
        - SIGNATORY
        - ADMIN
        - INITIATOR
        - REVIEWER
        - TRADER
        - FULL_TRADER
        - TEAM_MANAGER
        - APPROVER
        - TAX_MANAGER
        - BUSINESS_MANAGER
    coinbase.public_rest_api.SecondaryPermission:
      title: Indicates the user's secondary permission
      type: string
      description: |-
        - SECONDARY_PERMISSION_UNKNOWN: nil value
         - VIDEO_APPROVER: A video approver
         - TEAM_APPROVER: A team approver
         - WEB3_SIGNER: A web3 signer
      enum:
        - VIDEO_APPROVER
        - TEAM_APPROVER
        - WEB3_SIGNER
    coinbase.public_rest_api.SortDirection:
      type: string
      default: DESC
      enum:
        - DESC
        - ASC

````